## NAME

CURLOPT_LOCALPORTRANGE - number of additional local ports to try

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_setopt(CURL *handle, CURLOPT_LOCALPORTRANGE, long range);

## DESCRIPTION

Pass a long. The range argument is the number of attempts libcurl will make to find a working local port number. It starts with the given CURLOPT_LOCALPORT and adds one to the number for each retry. Setting this option to 1 or below will make libcurl do only one try for the exact port number. Port numbers by nature are scarce resources that will be busy at times so setting this value to something too low might cause unnecessary connection setup failures.

## DEFAULT

1

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.15.2

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

CURLOPT_LOCALPORT, CURLOPT_INTERFACE

This HTML page was made with roffit.